aboutsummaryrefslogtreecommitdiffstats
path: root/gcc-4.7/contrib/reghunt/examples/30643.test
diff options
context:
space:
mode:
authorBen Cheng <bccheng@google.com>2012-10-01 10:30:31 -0700
committerBen Cheng <bccheng@google.com>2012-10-01 10:30:31 -0700
commit82bcbebce43f0227f506d75a5b764b6847041bae (patch)
treefe9f8597b48a430c4daeb5123e3e8eb28e6f9da9 /gcc-4.7/contrib/reghunt/examples/30643.test
parent3c052de3bb16ac53b6b6ed659ec7557eb84c7590 (diff)
downloadtoolchain_gcc-82bcbebce43f0227f506d75a5b764b6847041bae.tar.gz
toolchain_gcc-82bcbebce43f0227f506d75a5b764b6847041bae.tar.bz2
toolchain_gcc-82bcbebce43f0227f506d75a5b764b6847041bae.zip
Initial check-in of gcc 4.7.2.
Change-Id: I4a2f5a921c21741a0e18bda986d77e5f1bef0365
Diffstat (limited to 'gcc-4.7/contrib/reghunt/examples/30643.test')
-rwxr-xr-xgcc-4.7/contrib/reghunt/examples/30643.test26
1 files changed, 26 insertions, 0 deletions
diff --git a/gcc-4.7/contrib/reghunt/examples/30643.test b/gcc-4.7/contrib/reghunt/examples/30643.test
new file mode 100755
index 000000000..ba9b0e0ff
--- /dev/null
+++ b/gcc-4.7/contrib/reghunt/examples/30643.test
@@ -0,0 +1,26 @@
+#! /bin/sh
+
+ID=$1
+
+LOGID=`printf "%04d" ${ID}`
+LOG=${BUGID}.${LOGID}.out
+MSGID="bug ${BUGID}, id ${ID}"
+ASM=${BUGID}.${LOGID}.s
+
+$REG_TEST_COMPILER $REG_OPTS $REG_TESTCASE > ${LOG} 2>&1
+
+if [ $? -ne 0 ]; then
+ echo "`date` compilation failed unexpectedly for ${MSGID}"
+ exit REG_ERROR
+fi
+
+cp ${BUGID}.s $ASM
+
+grep -q abort $ASM
+if [ $? -eq 0 ]; then
+ echo "`date` abort call exists for ${MSGID}"
+ exit $REG_FAIL
+fi
+
+echo "`date` no call to abort for ${MSGID}"
+exit $REG_PASS